name: ASkyBlock
main: com.wasteofplastic.askyblock.ASkyBlock
version: 3.0.9.4
description: A SkyBlock Plugin
author: Tastybento
depend: [Vault]
load: startup
loadbefore: [Multiverse-Core]
commands:
    island:
        description: Main player command
        aliases: [is, island]
        usage:  |
             /island help
    asadmin:
        description: Admin commands
        usage:  |
            /asadmin
    asc:
        description: Game challenges
        aliases: [c, challenge, aschallenge, challenges]
        usage:  |  
            /challenge
permissions:    
  askyblock.*:
    default: false
    children:
      askyblock.island.*:
        children:
          askyblock.island.go:
            description: Allow teleporting to player island
            default: true
          askyblock.island.create:
            description: Let the player use the /island command
            default: true
          askyblock.island.info:
            description: Let the player check their island level
            default: true
          askyblock.island.topten:
            description: Let the player see the top ten list
            default: true
          askyblock.island.sethome:
            description: Let the player set their island teleport point
            default: true
          askyblock.island.challenges:
            description: Let the player use the /challenges command
            default: true
          askyblock.island.warp:
            description: Let the player use /island warp to warp to a players island
            default: true
          askyblock.island.addwarp:
            description: Let the player place a Welcome warp sign
            default: true
          askyblock.island.minishop:
            description: Allows usage of the minishop
            default: true
          askyblock.island.controlpanel:
            description: Allows usage of the island GUI
            default: true
          askyblock.island.controlpanelonoff:
            description: Allows turning on/off of the island GUI
            default: true
          askyblock.island.biomes:
            description: Allows biome changing
            default: true
          askyblock.island.lock:
            description: Allows island locking
            default: false
          askyblock.island.expel:
            description: Allows expelling of visitors
            default: true
          askyblock.island.ban:
            description: Allows banning of visitors
            default: false
          askyblock.island.settings:
            description: Player can see server settings
            default: true
          askyblock.island.lang:
            description: Player can select a language
            default: true
          askyblock.island.name:
            description: Player can set the name of their island
            default: false
          askyblock.island.value:
            description: Player can see the value of a block
            default: true
          askyblock.island.spawn:
            description: Player can use the island spawn command if spawn exists
            default: true
          askyblock.island.reset:
            description: Player can use the island reset or restart command
            default: true  
      askyblock.team.*:
        children:
          askyblock.team.create:
            description: Let a player invite other players to join a team
            default: true
          askyblock.team.kick:
            description: Let a player kick other players
            default: true
          askyblock.team.makeleader:
            description: Let a player make another player leader of the team
            default: true
          askyblock.team.join:
            description: Let a player join another player's team
            default: true
          askyblock.team.chat:
            description: Allow player to use team chat
            default: true
      askyblock.command.*:
        description: Event commands will not be run for players with this perm
        default: false
        children:
          askyblock.command.resetexempt:
            description: Player is exempt from commands run when island resets
            default: false
          askyblock.command.leaveexempt:
            description: Player is exempt from commands run when they leave or are kicked. Note will not help if player is offline.
            default: false
          askyblock.command.newexempt:
            description: Player is exempt from commands run when starting an island
            default: false
          askyblock.command.challengeexempt:
            description: Player is exempt from commands run when a challenge is completed
            default: false
          askyblock.command.newteamexempt:
            description: Player is exempt from commands run when accepting a team invite
            default: false
      askyblock.coop:
        description: Allows player to use the coop command
        default: false    
      askyblock.craft.*:
        children:
          askyblock.craft.enderchest:
            description: Allow crafting and use of enderchests in askyblock
            default: false
          askyblock.craft.dirt:
            description: Allows tilling of coarse dirt into dirt
            default: false
      askyblock.intopten:
        description: Includes player in top ten
        default: true
      askyblock.nohunger:
        description: Excludes player from hunger if on island
        default: false
      askyblock.islandfly:
        description: Allow player to fly inside his island boundaries
        default: false
      askyblock.settings.*:
        description: Ability to change settings in GUI
        default: false
        children:
          askyblock.settings.ACID_DAMAGE:
            description: Can configure the Acid Damage setting
            default: false
          askyblock.settings.ANVIL:
            description: Can configure the Anvil setting
            default: false
          askyblock.settings.ARMOR_STAND:
            description: Can configure the Armor Stand setting
            default: false
          askyblock.settings.BEACON:
            description: Can configure the Beacon setting
            default: false
          askyblock.settings.BED:
            description: Can configure the Bed setting
            default: false
          askyblock.settings.BREAK_BLOCKS:
            description: Can configure the Break Blocks setting
            default: false
          askyblock.settings.BREEDING:
            description: Can configure the Breeding setting
            default: false
          askyblock.settings.BREWING:
            description: Can configure the Brewing setting
            default: false
          askyblock.settings.BUCKET:
            description: Can configure the Bucket setting
            default: false
          askyblock.settings.COLLECT_LAVA:
            description: Can configure the Collect Lava setting
            default: false
          askyblock.settings.COLLECT_WATER:
            description: Can configure the Collect Water setting
            default: false
          askyblock.settings.CHEST:
            description: Can configure the Chest setting
            default: false
          askyblock.settings.CHORUS_FRUIT:
            description: Can configure the Chorus Fruit setting
            default: false
          askyblock.settings.CRAFTING:
            description: Can configure the Crafting setting
            default: false
          askyblock.settings.CREEPER_PAIN:
            description: Can configure the Creeper Pain setting
            default: false
          askyblock.settings.CROP_TRAMPLE:
            description: Can configure the Crop Trample setting
            default: false
          askyblock.settings.DOOR:
            description: Can configure the Door setting
            default: false
          askyblock.settings.EGGS:
            description: Can configure the Eggs setting
            default: false
          askyblock.settings.ENCHANTING:
            description: Can configure the Enchanting setting
            default: false
          askyblock.settings.ENDER_PEARL:
            description: Can configure the Ender Pearl setting
            default: false
          askyblock.settings.ENTER_EXIT_MESSAGES:
            description: Can configure the Enter Exit Messages setting
            default: false
          askyblock.settings.FIRE:
            description: Can configure the Fire setting
            default: false
          askyblock.settings.FIRE_EXTINGUISH:
            description: Can configure the Fire Extinguish setting
            default: false
          askyblock.settings.FIRE_SPREAD:
            description: Can configure the Fire Spread setting
            default: false
          askyblock.settings.FURNACE:
            description: Can configure the Furnace setting
            default: false
          askyblock.settings.GATE:
            description: Can configure the Gate setting
            default: false
          askyblock.settings.HORSE_INVENTORY:
            description: Can configure the Horse Inventory setting
            default: false
          askyblock.settings.HORSE_RIDING:
            description: Can configure the Horse Riding setting
            default: false
          askyblock.settings.HURT_MOBS:
            description: Can configure the Hurt Mobs setting
            default: false
          askyblock.settings.HURT_MONSTERS:
            description: Can configure the Hurt Monsters setting
            default: false
          askyblock.settings.LEASH:
            description: Can configure the Leash setting
            default: false
          askyblock.settings.LEVER_BUTTON:
            description: Can configure the Lever Button setting
            default: false
          askyblock.settings.MILKING:
            description: Can configure the Milking setting
            default: false
          askyblock.settings.MOB_SPAWN:
            description: Can configure the Mob Spawn setting
            default: false
          askyblock.settings.MONSTER_SPAWN:
            description: Can configure the Monster Spawn setting
            default: false
          askyblock.settings.MUSIC:
            description: Can configure the Music setting
            default: false
          askyblock.settings.NETHER_PVP:
            description: Can configure the Nether Pvp setting
            default: false
          askyblock.settings.PLACE_BLOCKS:
            description: Can configure the Place Blocks setting
            default: false
          askyblock.settings.PORTAL:
            description: Can configure the Portal setting
            default: false
          askyblock.settings.PRESSURE_PLATE:
            description: Can configure the Pressure Plate setting
            default: false
          askyblock.settings.PVP:
            description: Can configure the Pvp setting
            default: false
          askyblock.settings.REDSTONE:
            description: Can configure the Redstone setting
            default: false
          askyblock.settings.SPAWN_EGGS:
            description: Can configure the Spawn Eggs setting
            default: false
          askyblock.settings.SHEARING:
            description: Can configure the Shearing setting
            default: false
          askyblock.settings.VILLAGER_TRADING:
            description: Can configure the Villager Trading setting
            default: false
          askyblock.settings.VISITOR_ITEM_DROP:
            description: Can configure the Visitor Item Drop setting
            default: false
          askyblock.settings.VISITOR_ITEM_PICKUP:
            description: Can configure the Visitor Item Pickup setting
            default: false
      askyblock.mod.*:
        children:
          askyblock.mod.topten:
            description: Let a moderator update the top ten list
            default: op
          askyblock.mod.info:
            description: Let a moderator see info on a player
            default: op
          askyblock.mod.challenges:
            description: Let a moderator access challenge commands 
            default: op
          askyblock.mod.noburn:
            description: Gives mod immunity to acid
            default: false
          askyblock.mod.resethome:
            description: Allows setting or reseting of a player's home position
            default: op
          askyblock.mod.clearreset:
            description: Allow clearing of island reset limit
            default: false
          askyblock.mod.tp:
            description: Allows teleport to an island
            default: op
          askyblock.mod.tpnether:
            description: Allows teleport to a nether island
            default: op
          askyblock.mod.bypassprotect:
            description: Allow moderator to bypass island protection
            default: op
          askyblock.mod.bypassexpel:
            description: Allow moderator to bypass island expulsion
            default: op
          askyblock.mod.setbiome:
            description: Allows setting player island biomes
            default: op
          askyblock.mod.topbreeders:
            description: Lists most populated islands current loaded
            default: op
          askyblock.mod.lock:
            description: Locks or unlocks an island
            default: op
          askyblock.mod.bypasslock:
            description: Bypasses an island lock
            default: op
          askyblock.mod.signadmin:
            description: Enables warp sign admin commands
            default: op
          askyblock.mod.spy:
            description: Spy on team chats
            default: false
          askyblock.mod.removesign:
            description: Gives ability to remove warp signs
            default: false
          askyblock.mod.team:
            description: Enables modification of teams via kick and add commands
            default: false
          askyblock.mod.name:
            description: Enables naming of player's islands
            default: false
          askyblock.mod.resetname:
            description: Enables reset of player's island names
            default: false
          askyblock.mod.setdeaths:
            description: Sets how many deaths the player has
            default: false
          askyblock.mod.switch:
            description: Allows mod to switch on/off bypass protection
            default: false
      askyblock.admin.*:
        children:
          askyblock.admin.clearresetall:
            description: Allow clearing of island reset limit of all players
            default: op
          askyblock.admin.reload:
            description: Reload the config.yml
            default: op
          askyblock.admin.delete:
            description: Let a player completely remove a player (including island)
            default: op
          askyblock.admin.deleteisland:
            description: Let a player completely remove the island the player is on
            default: op
          askyblock.admin.register:
            description: Let a player register the nearest island to another player.
            default: op
          askyblock.admin.unregister:
            description: Removes a player from an island without deleting the island blocks.
            default: op
          askyblock.admin.purge:
            description: Let a player purge old islands.
            default: op
          askyblock.admin.noburn:
            description: Gives admin immunity to acid
            default: false
          askyblock.admin.setspawn:
            description: Allows use of spawn tools
            default: op
          askyblock.admin.setrange:
            description: Allows setting of island protection range
            default: op
          askyblock.admin.topbreeders:
            description: Lists most populated islands current loaded
            default: op
          askyblock.admin.reserve:
            description: Reserves an empty spot for a player's next island
            default: op
          askyblock.admin.settingsreset:
            description: Resets all the islands to default protection settings
            default: op
          askyblock.admin.noban:
            description: Player cannot be banned from an island
            default: op
          askyblock.admin.cobblestats:
            description: Displays magic cobble gen stats
            default: op
          askyblock.admin.setlanguage:
            description: Resets all player languages and sets the default language
            default: op
     
